package com.benyun.core.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class TopologicalStoreWd {
    @TableField("around_wd_id")
    public String aroundWdId;
    @TableField("around_wd_name")
    public String aroundWdName;
    @TableField("around_wd_type_code")
    public String aroundWdTypeCode;
    @TableField("distance")
    public double distance;

    @TableField("addr_code")
    public String addrCode;

    @TableField("addr_code_info")
    public String addrCodeInfo;

    @TableField("addr_info")
    public String addrInfo;

    @TableField("industry_code")
    public String industryCode;

    @TableField("manage_type_code")
    public String manageTypeCode;

    @TableField("analyse_time")
    private LocalDateTime analyseTime;

    @TableField("brand_id")
    private String brandId;

    public TopologicalStoreWd(WdInfo wdInfo) {
        this.aroundWdId = wdInfo.getWdId();
        this.aroundWdName = wdInfo.getWdName();
        this.aroundWdTypeCode = wdInfo.getWdTypeCode();
        this.addrCode = wdInfo.getAddrCode();
        this.addrInfo = wdInfo.getAddrInfo();
    }

    public TopologicalStoreWd() {
    }
}
